using CarCenterContracts.BindingModels;
using CarCenterContracts.SearchModels;
using CarCenterContracts.ViewModels;
using CarCenterDataModels.Models;

namespace CarCenterContracts.BusinessLogicsContracts
{
    public interface IPreSaleWorkLogic
    {
        List<PreSaleWorkViewModel>? ReadList(PreSaleWorkSearchModel? model);
        PreSaleWorkViewModel? ReadElement(PreSaleWorkSearchModel model);
        bool AddSaleToPreSaleWork(PreSaleWorkSearchModel model, ISaleModel Sale);
        bool Create(PreSaleWorkBindingModel model);
        bool Update(PreSaleWorkBindingModel model);
        bool Delete(PreSaleWorkBindingModel model);
    }
}
